#  Gnu makefile ... ignored by ddkbuild.
#

all:
	@echo To make the coda, you need to use ddkbuild in .. using
	@echo one of the DDK build environments.
	@echo You may \"make clean\" here.

clean:
	@echo Cleaning the coda NT kernel source
	rm -rf checked chk free fre obj*
	rm -f *.cod *.log *.err coda.bsc coda.dsp *~
	rm -f wrapper*

inst-chk-wxp:
	@if ! [ -d /c/Windows/System32/Drivers ] ; then \
	   echo "This target doesn't work on your system" ; \
	   exit 1;\
	fi
	@if ! [ -d ../debug ] ; then mkdir ../debug ; fi
	cp chk/i386/codawxp.sys /c/Windows/System32/Drivers/coda.sys
	cp chk/i386/codawxp.pdb ../debug

inst-sys:
	@if ! [ -d /c/Windows/System32/Drivers ] ; then \
	  echo "This target doesn't work on your system." ; \
	  exit 1; \
	fi
	@if ! [ -d ../debug ] ; then mkdir ../debug ; fi
	cp chk/lib/wxp/fre/i386/fsdk-coda.sys /c/Windows/System32/Drivers
	cp chk/lib/wxp/fre/i386/fsdk-coda.pdb ../debug

 
