# postinstall script for the coda-fsd cygwin package
VER=`uname -s | cut -c11-`
case $VER in
    5.0) OSVER=w2k
    ;;
    
    5.1) OSVER=wxp
    ;;
    
    *)  echo $VER is unsupported.
        echo ERROR: Unsupported version of Windows.
        exit
    ;;
esac

# copy the files

cp -p /usr/coda/bin/f${OSVER}-coda.sys ${WINDIR}/SYSTEM32/DRIVERS/fsdk-coda.sys
cp -p /usr/coda/bin/coda${OSVER}.sys ${WINDIR}/SYSTEM32/DRIVERS/coda.sys

# Do the windows registry entries.
pushd /usr/coda/bin
${WINDIR}/regedit -s coda.reg
popd

