echo Extracting the FSDK from OSR

d=`pwd`
kind=chk

if ! type unzip >& /dev/null ; then
  echo You need to get run the Cygwin setup and get the Archive/unzip package.
  exit 1
fi

if [ x$1 = x ] ; then
  N=`ls codafsdk_v*.zip | wc -l`

  if [ $N -eq 0 ] ; then
    echo You must have the coda fsdk .zip distribution in this directory.
    exit 1
  fi

  if [ $N -gt 1 ] ; then
    echo You must have only one coda fsdk .zip distribution in this directory.
    exit 1
  fi

  F=`ls codafsdk_v*.zip`

else

  F=$1
  if [ `basename $F .zip` = $F ] ; then
    echo "That doesn't look like a .zip file!"
    exit 1
  fi

  shift
  if [ x$1 != x ] ; then
      if [ $1 = chk -o $1 = checked ] ; then
	  kind=chk
      else
	  if [ $1 = fre -o $1 = free ] ; then
	      kind=fre
	  else
	      echo "second argument is one of checked, chk, free, fre."
	      exit 1
	  fi
      fi
  fi
fi

echo Extracting $F in `pwd`.

cd coda
rm -rf $kind obj$kind*
mkdir $kind
cd $kind
rm -rf lib
unzip "$d"/$F
if [ -d Lib ] ; then
  mv Lib lib
fi
cp inc.fsdk/* ..
if [ -f EulaCoda.txt ] ; then
  less EulaCoda.txt
fi
